qt-3.3.4 compile error

Chris Staub chris at beaker67.com
Tue Aug 30 05:15:01 PDT 2005


Dennis Nijhof wrote:
> me again,
> 
> but are the GL library not a part of xorg? because in my previous 
> install without the package managing system al went well.
> 
> greetings D. Nijhof
> 
>     ------------------------------------------------------------------------
>     From:  /"D.Dreschers" <garfield0 at gmx.net>/
>     Reply-To:  /blfs-support-request at linuxfromscratch.org,BLFS Support
>     List <blfs-support at linuxfromscratch.org>/
>     To:  /BLFS Support List <blfs-support at linuxfromscratch.org>/
>     Subject:  /Re: qt-3.3.4 compile error/
>     Date:  /Tue, 30 Aug 2005 12:00:59 +0200/
>      >Dennis Nijhof wrote:
>      > > hi,
>      > >
>      > > when i try to compile qt-3.3.4 i get an error like this:
>      > >
>      > > -L/usr/X11R6/lib -lz -lGL -Xrender etc etc
>      > > ld - can't find -lGL
>      > > collect2: ld returned 1
>      >
>      >With -lGL the linker tries to link the OpenGL libraries.
>      >You'll need to install them first.
>      >
>      >If you have got a nvidia card, just install their binary
>      >driver and you've got OpenGL too.
>      >Don't know about ATI or others, sorry.
>      >
>      >
>      >   Daniel
>      >--
>      >http://linuxfromscratch.org/mailman/listinfo/blfs-support
>      >FAQ: http://www.linuxfromscratch.org/blfs/faq.html
>      >Unsubscribe: See the above information page
> 

No, the OpenGL libraries are installed by freeglut (glut - GL Utility 
Toolkit). Also, you said you checked /usr/X11R6/lib and said "it doesn't 
exist" - it wasn't completely clear to me what you meant. Did you mean 
you looked in /usr/X11R6/lib and didn't see the GL libraries, or that 
/usr/X11R6/lib itself doesn't exist?



More information about the blfs-support mailing list